SUSE SLED15 / SLES15セキュリティ更新プログラム:libpng16 (SUSE-SU-2019:1398-1)

medium Nessus プラグイン ID 125677

Language:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このlibpng16の更新では、次の問題が修正されます:

修正されたセキュリティ問題:

CVE-2019-7317:png_safe_executeでpng_image_free()が呼び出されたときにトリガーされるメモリ解放後使用の脆弱性を修正しました(bsc#1124211)。

CVE-2018-13785:細工されたPNGファイルの処理中に整数オーバーフローおよびゼロ除算をトリガーし、サービス拒否が発生する可能性があった、pngrutil.cのpng_check_chunk_length関数のrow_factorの誤った計算を修正しました(bsc#1100687)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-1398=1

SUSE Linux Enterprise Module for Basesystem 15:zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-1398=1

参考資料

https://bugzilla.suse.com/show_bug.cgi?id=1100687

https://bugzilla.suse.com/show_bug.cgi?id=1121624

https://bugzilla.suse.com/show_bug.cgi?id=1124211

https://www.suse.com/security/cve/CVE-2018-13785/

https://www.suse.com/security/cve/CVE-2019-7317/

http://www.nessus.org/u?34fb46c1

プラグインの詳細

深刻度: Medium

ID: 125677

ファイル名: suse_SU-2019-1398-1.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2019/6/3

更新日: 2024/5/17

サポートされているセンサー: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

基本値: 4.3

現状値: 3.4

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS スコアのソース: CVE-2018-13785

CVSS v3

リスクファクター: Medium

基本値: 6.5

現状値: 5.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

現状ベクトル: CVSS:3.0/E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:libpng16-debugsource, p-cpe:/a:novell:suse_linux:libpng16-16-debuginfo, p-cpe:/a:novell:suse_linux:libpng16-compat-devel, p-cpe:/a:novell:suse_linux:libpng16-tools-debuginfo, p-cpe:/a:novell:suse_linux:libpng16-16, p-cpe:/a:novell:suse_linux:libpng16-devel, p-cpe:/a:novell:suse_linux:libpng16-16-32bit-debuginfo, p-cpe:/a:novell:suse_linux:libpng16, p-cpe:/a:novell:suse_linux:libpng16-tools, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/5/31

脆弱性公開日: 2018/7/9

参照情報

CVE: CVE-2018-13785, CVE-2019-7317